<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Offers</ion-title>
    <ion-buttons slot="primary">
      <ion-button routerLink="/places/tabs/offers/new">
        <ion-icon name="add" slot="icon-only"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  <ion-grid>
    <!--<ion-row>
      <ion-col size="12" size-sm="8" offset-sm="2" text-center>
        <ion-card>
          <ion-card-header>
            <ion-card-title> {{ loadedPlaces[0].title }} </ion-card-title>
            <ion-card-subtitle>Rp {{ loadedPlaces[0].price }} / Orang</ion-card-subtitle>
          </ion-card-header>
          <ion-img [src] = "loadedPlaces[0].imageUrl"></ion-img>
          <ion-card-content>
            {{ loadedPlaces[0].description }}
            <div style="text-align-last: center;">
              <ion-button
              fill="clear"
              color="primary"
              [routerLink]="['/','places','tabs','discover',loadedPlaces[0].id]"
              >More
              </ion-button>
            </div>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row> -->
    <ion-row>
      <ion-col size="12" size-sm="8" offset-sm="2" text-center>
        <ion-list>
          <ion-item-sliding *ngFor="let offer of offers" #slidingItem>
            <app-offer-item [offer]="offer"></app-offer-item>
            <ion-item-options side="end">
              <ion-item-option style="color: secondary;" (click)="onEdit(offer.id, slidingItem)">
                <ion-icon name="create" slot="icon-only"></ion-icon><!-- ICON Edit-->
              </ion-item-option>
            </ion-item-options> 
          </ion-item-sliding>
        </ion-list>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>